% Example-50: Resource as Critical Region 
% Reggie.davidrajuh@uis.no  (c) 20 Nov 2017

clear all; clc;

global global_info
global_info.DELTA_TIME = 0.5; % 
global_info.STOP_AT  = 25; % 

pns = pnstruct('critical_region_pdf');

dyn.m0 = {'pSTART',10};
dyn.ft = {'tX1',1, 'tX2',5}; 
dyn.re = {'Resource-X',1, inf}; % resource as semafor
dyn.ip = {'tX1',1}; % let tX1 fire first

pni = initialdynamics(pns, dyn);
sim = gpensim(pni);

plotp(sim, {'p1', 'p2'});
prnschedule(sim);
occupancy(sim, {'tX1', 'tX2'});
plotGC(sim); % plot Gantt Chart 
