% Example-56: AOPN model of a Flexible Manufacturing System
% Reggie.davidrajuh@uis.no  (c) 20 Nov 2017

function [] = COMMON_POST(transition)
global global_info

switch transition.name
    case {'tC1', 'tC2', 'tAP'} 
        % do not release any resources as they are
        % required by the sunsequent transition       
    case 'tC1M1'
        release('tC1');     % release "C1" acquired by tC1
        release;            % also, release "R1" acquired by itself
    case 'tC2M2'
        release('tC2');     % release "C2" acquired by tC2
        release;            % also, release "R2" acquired by itself
    case 'tM1'              
        release;    % release "M1" acquired by tM1
    case 'tM2'              
        release;    % release "M2" acquired by tM2
    case 'tM1AS'   
        release;    % release "R1" acquired by tM1AS
    case 'tM2AS'   
        release;    % release "R2" acquired by tM2AS
    case 'tAS'   
        release;    % release "R2" acquired by tAS
    case 'tPS'   
        release('tAP'); % release "R3" acquired by tAP
        release;        % also, release "R4" acquired by itself
    otherwise
        error('Cant come here');
end % switch 

disp(['At time=', num2str(current_time), ', transition ', ...
      transition.name, ' has just fired.']);
  
n = ntokens('pOB'); % get the number of tokens in pOB
if eq(n,3), global_info.STOP_SIMULATION = 1; end

