% Example-56: AOPN model of a Flexible Manufacturing System
% Reggie.davidrajuh@uis.no  (c) 20 Nov 2017

clear all; clc;

global global_info
global_info.STOP_AT = 300;

pns = pnstruct('fms_AOPN_pdf');

dp.m0 = {'pIB1',3,'pIB2',3};
dp.ft = {'tM1',20,'tM2',35,'tAS',8,'tPS',13, 'allothers',2}; 
dp.re = {'C1',1,inf,'C2',1,inf, 'M1',1,inf,'M2',1,inf, ...
         'R1',1,inf,'R2',1,inf,'R3',1,inf,'R4',1,inf};
pni = initialdynamics(pns, dp);

sim = gpensim(pni);
plotp(sim, {'pOB'});
prnschedule(sim);
plotGC(sim);
